#include <p18f452.h>
#include <adc.h>

void InitializeAD(void);

void main(void)
{
	TRISD=0;								// Set PORTD for LED output
	InitializeAD( );							// Initial A/D module
	
	while(1)
	{
		ConvertADC();						// Convert A/D
		while(BusyADC( ));					// Waiting A/D until done
		PORTD=ADRESH;						// Put A/D result on LEDs
	}					 
}

//************************************************
//* Function: InitializeAD                       *
//*        - Fosc/8 clock source                 *
//*        - Left justified                      *
//*        - 1 analog channels, 0 references     *
//*        - Channel 0                           *
//*        - Disable A/D interrupt               *
//************************************************
void InitializeAD(void)
{
	OpenADC(  ADC_FOSC_32
			& ADC_LEFT_JUST 
			& ADC_1ANA_0REF,
			  ADC_CH0 
			& ADC_INT_OFF );
}

	



